Update to v11

Discussion in '3DS - Homebrew Development and Emulators' started by KuraudoSutoraifu, May 17, 2016.

  1. KuraudoSutoraifu
    OP

    KuraudoSutoraifu Advanced Member

    Newcomer
    76
    23
    May 6, 2016
    Gambia, The
    Can I update to v11 without losing homebrew?
    I previously successfully hacked my N3DSXL and installed a CFW by following this tutorial.
    Thanks.
     
  2. Townsperson

    Townsperson GBAtemp Fan

    Member
    398
    272
    Dec 7, 2015
    United States
    Do you have A9LH installed, or just MenuHax? If you're running A9LH, you can update without worry. If you're using MenuHax (And an Emunand), only update if you know for sure you're in emunand.

    (I assume you're using Luma3DS since you followed Plailect's guide)
     
  3. DinckelMan

    DinckelMan Your Favorite Water Mage!

    Member
    249
    147
    Nov 4, 2013
    United States
    Since you already have CFW installed - update your CFW to the latest version and then update the emuNAND (sysNAND if you're using Plai's guide) from the system settings. No homebrew will be lost if you've set everything up correctly
     
    KuraudoSutoraifu likes this.
  4. KuraudoSutoraifu
    OP

    KuraudoSutoraifu Advanced Member

    Newcomer
    76
    23
    May 6, 2016
    Gambia, The
    Sorry for asking such trivial questions, but I'm very new to 3DS Homebrew and don't know all the lingo yet.
    I followed Plailect's guide to the end, that means I can basically boot the 3DS, go into system settings and update normally?
     
  5. DHall243

    DHall243 I Stay Broke Because I Keep Buying 3DS's To A9LH

    Member
    321
    150
    Jan 12, 2016
    United States
    Yes

    @KuraudoSutoraifu You will either have to change the name of your Homebrew Payload or download the payload provided in Plai's guide for your region.
     
    Last edited by DHall243, May 17, 2016
    KuraudoSutoraifu likes this.
  6. Townsperson

    Townsperson GBAtemp Fan

    Member
    398
    272
    Dec 7, 2015
    United States
    If you followed the guide to the end, you should have A9LH. Quick way to check is to try and boot your 3DS without an SD card. If it turns off immediately, you have A9LH. If not, you don't.

    If you have A9LH, you should be fine with updating so long as you're running Luma3DS (Installed in Plailect's guide).
     
    KuraudoSutoraifu likes this.
  7. Duckling

    Duckling Sorry for being dumb ;(

    Member
    471
    97
    Mar 17, 2016
    Laos
    I'm also pretty curious about this. I have rxTools nightly on my emuNAND and I was curious if I only needed to update the firmware and it'd be all good. I have menuhax running too.
     
  8. Clydefrosch

    Clydefrosch GBAtemp Psycho!

    Member
    4,127
    1,181
    Jan 2, 2009
    Gambia, The
    if you have rx tools, enter system settings from emunand (your firmware will read RX-10.somethingsomething). if you see the RX part, continue on to the system update settings. it will only update your emunand. if you dont see the RX part, you're in sysnand and you dont want to update that ever.

    it never hurts to make an emunand backup with emunand9 though
     
  9. Duckling

    Duckling Sorry for being dumb ;(

    Member
    471
    97
    Mar 17, 2016
    Laos
    Oh yeah I can do that lol thanks
     
  10. KuraudoSutoraifu
    OP

    KuraudoSutoraifu Advanced Member

    Newcomer
    76
    23
    May 6, 2016
    Gambia, The
    Well, here we go again: Can I update to 11.1 safely?

    Thanks :)
     
  11. Joom

    Joom  ❤❤❤

    Member
    4,030
    2,734
    Jan 8, 2016
    United States
    Yes. Just don't expect NTR to work if you use that.
     
    KuraudoSutoraifu likes this.
  12. MadMageKefka

    MadMageKefka GBAtemp Maniac

    Member
    1,478
    1,273
    Apr 28, 2016
    United States
    World of ruin
    Duckling and KuraudoSutoraifu like this.
  13. KuraudoSutoraifu
    OP

    KuraudoSutoraifu Advanced Member

    Newcomer
    76
    23
    May 6, 2016
    Gambia, The
    Haven't used my N3DS for some time, so here we go again: Can I safely update to the latest version (11.3, I'm guessing?)?
    Thanks :)
     
  14. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,092
    5,166
    Mar 17, 2010
    Norway
    Alola
    As long as you're using Luma 6.6 or newer, yes.
     
    KuraudoSutoraifu likes this.
  15. driverdis

    driverdis I am Justice

    Member
    2,408
    917
    Sep 21, 2011
    United States
    1.048596β
    If you are using an up to date CFW (Not RxTools), you can update EmuNAND. I would recommend switching to A9LH+Luma (or Corbenik [not sure if it has been updated for 11.3 support yet]). If you are not sure about your CFW being up to date, the latest Luma build works for MenuHax users too so use that.
     
    KuraudoSutoraifu likes this.